Package com.ocient.jdbc.proto

# Interface PlanProtocol.StatsColInfoOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.StatsColInfo`, `PlanProtocol.StatsColInfo.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.StatsColInfoOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getColUuid()` | `string col_uuid = 1;`
`com.google.protobuf.ByteString` | `getColUuidBytes()` | `string col_uuid = 1;`
`int` | `getDerivedType()` | `int32 derived_type = 3;`
`long` | `getIndex()` | `uint64 index = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getColUuid

String getColUuid()
`string col_uuid = 1;`

### getColUuidBytes

com.google.protobuf.ByteString getColUuidBytes()
`string col_uuid = 1;`

### getIndex

long getIndex()
`uint64 index = 2;`

### getDerivedType

int getDerivedType()
`int32 derived_type = 3;`